# Etherpad - Ansible role
This role covers deployment, configuration and software updates of Etherpad-lite. This role is released under MIT Licence and we give no warranty for this piece of software. Currently supported OS - Debian.

The role allows to install/uninstall etherpad's plugins.

You can deploy test instance using `Vagrantfile` attached to the role.
`vagrant up`

`ansible-playbook -b Playbooks/etherpad.yml`

Then you can access etherpad from your computer on http://192.168.33.8:9001


## Playbook
The playbook includes mariadb role and deploys entire stack needed to run Etherpad-lite. Additional role is also available in the Ansible roles repos in git.

## Tags
You can use tags when you deploy:
- `config`: to deploy just config
- `modules`: to deploy modules

⚠ Since the v.2.0.2, modules can only be installed, not removed. The devs are working on this: https://github.com/ether/etherpad-lite/issues/6272 So if you need to remove a plugin, log into the admin interface.


## CHANGELOG
- **14.04.2024** - Bumped version to 2.0.2 and change from npm to pnpm
- **26.03.2021** - Bumped version to 1.8.13 and enable ep_adminpads2
- **04.03.2021** - Bumped version to 1.8.11 and adjusted readme file
- **21.11.2020** - Make it ready for public release
   - Bump to 1.8.6
   - Added new plugins
   - Corrected few things
- **04.11.2019** - First stable production (**1.0**)
   - Added update and release change via git
   - Few minor changes to the config
   - added skin choice in the config
- **19.12.2019** - Small fix at user.yml
- **09.02.2020** - Add Vagrantfile + Playbooks
